package org.dromara.service;

import org.dromara.domain.vo.SenEventsReportVo;
import org.dromara.domain.bo.SenEventsReportBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 推送记录Service接口
 *
 * @author luogang
 * @date 2024-09-19
 */
public interface ISenEventsReportService {

    /**
     * 查询推送记录
     *
     * @param id 主键
     * @return 推送记录
     */
    SenEventsReportVo queryById(Long id);

    /**
     * 分页查询推送记录列表
     *
     * @param bo        查询条件
     * @param pageQuery 分页参数
     * @return 推送记录分页列表
     */
    TableDataInfo<SenEventsReportVo> queryPageList(SenEventsReportBo bo, PageQuery pageQuery);

    /**
     * 查询符合条件的推送记录列表
     *
     * @param bo 查询条件
     * @return 推送记录列表
     */
    List<SenEventsReportVo> queryList(SenEventsReportBo bo);

    /**
     * 新增推送记录
     *
     * @param bo 推送记录
     * @return 是否新增成功
     */
    Boolean insertByBo(SenEventsReportBo bo);

    /**
     * 修改推送记录
     *
     * @param bo 推送记录
     * @return 是否修改成功
     */
    Boolean updateByBo(SenEventsReportBo bo);

    /**
     * 校验并批量删除推送记录信息
     *
     * @param ids     待删除的主键集合
     * @param isValid 是否进行有效性校验
     * @return 是否删除成功
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);

    void againReport(Collection<Long> ids);
}
